    SMTP-SOURCE(1)                                                  SMTP-SOURCE(1)

    NAME
           smtp-source - multi-threaded SMTP/LMTP test generator

    SYNOPSIS
           smtp-source [options] [inet:]host[:port]

           smtp-source [options] unix:pathname

    DESCRIPTION
           smtp-source  connects  to  the  named  host  and  TCP port
           (default: port 25) and sends one or more messages  to  it,
           either  sequentially  or  in  parallel. The program speaks
           either SMTP (default) or LMTP.  Connections can be made to
           UNIX-domain  and  IPv4 or IPv6 servers.  IPv4 and IPv6 are
           the default.

           Arguments:

           -4     Connect to the server with IPv4. This option has no
                  effect  when Postfix is built without IPv6 support.

           -6     Connect to the server with IPv6. This option is not
                  available  when  Postfix is built without IPv6 sup-
                  port.

           -c     Display a running counter that is incremented  each
                  time an SMTP DATA command completes.

           -C count
                  When  a  host  sends  RESET instead of SYN|ACK, try
                  count times before giving up. The default count  is
                  1. Specify a larger count in order to work around a
                  problem with TCP/IP stacks that send RESET when the
                  listen queue is full.

           -d     Don't  disconnect after sending a message; send the
                  next message over the same connection.

           -f from
                  Use  the   specified   sender   address   (default:
                  <foo@myhostname>).

           -o     Old  mode:  don't send HELO, and don't send message
                  headers.

           -l length
                  Send length bytes as message  payload.  The  length
                  does not include message headers.

           -L     Speak LMTP rather than SMTP.

           -m message_count
                  Send the specified number of messages (default: 1).

           -N     Prepend a non-repeating  sequence  number  to  each
                  recipient  address. This avoids the artificial 100%
                  hit rate in the resolve and rewrite  client  caches
                  and  exercises  the  trivial-rewrite daemon, better
                  approximating Postfix performance  under  real-life
                  work-loads.

           -r recipient_count
                  Send  the specified number of recipients per trans-
                  action (default: 1).  Recipient names are generated
                  by prepending a number to the recipient address.

           -s session_count
                  Run the specified number of SMTP sessions in paral-
                  lel (default: 1).

           -S subject
                  Send mail with the  named  subject  line  (default:
                  none).

           -t to  Use   the  specified  recipient  address  (default:
                  <foo@myhostname>).

           -R interval
                  Wait for a random period of time 0 <= n <= interval
                  between  messages.   Suspending one thread does not
                  affect other delivery threads.

           -w interval
                  Wait a fixed time between messages.  Suspending one
                  thread does not affect other delivery threads.

           [inet:]host[:port]
                  Connect  via  TCP  to  host  host,  port  port. The
                  default port is smtp.

           unix:pathname
                  Connect to the UNIX-domain socket at pathname.

    BUGS
           No SMTP command pipelining support.

    SEE ALSO
           smtp-sink(1), SMTP/LMTP message dump

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                                    SMTP-SOURCE(1)